ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myroslav Papirkovskyy (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-8260) Ambari upgrade from 1.6.0 and earlier fails with MySQL + InnoDB engine
Date Mon, 10 Nov 2014 18:14:35 GMT
Myroslav Papirkovskyy created AMBARI-8260:
---------------------------------------------

             Summary: Ambari upgrade from 1.6.0 and earlier fails with MySQL + InnoDB engine
                 Key: AMBARI-8260
                 URL: https://issues.apache.org/jira/browse/AMBARI-8260
             Project: Ambari
          Issue Type: Bug
          Components: ambari-server
    Affects Versions: 1.6.1
            Reporter: Myroslav Papirkovskyy
            Assignee: Myroslav Papirkovskyy
            Priority: Critical
             Fix For: 1.7.0


PROBLEM: ambari upgrade failed with error:
{code}
21:32:36,825  WARN [main] DBAccessorImpl:478 - Error executing query: alter table viewinstance
add primary key (view_instance_id)
com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Multiple primary key defined
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:526)
	at com.mysql.jdbc.Util.handleNewInstance(Util.java:411)
	at com.mysql.jdbc.Util.getInstance(Util.java:386)
	at com.mysql.jdbc.SQLError.createSQLException(SQLError.java:1052)
	at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:3597)
	at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:3529)
	at com.mysql.jdbc.MysqlIO.sendCommand(MysqlIO.java:1990)
	at com.mysql.jdbc.MysqlIO.sqlQueryDirect(MysqlIO.java:2151)
	at com.mysql.jdbc.ConnectionImpl.execSQL(ConnectionImpl.java:2619)
	at com.mysql.jdbc.ConnectionImpl.execSQL(ConnectionImpl.java:2569)
	at com.mysql.jdbc.StatementImpl.execute(StatementImpl.java:824)
	at com.mysql.jdbc.StatementImpl.execute(StatementImpl.java:667)
	at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:475)
	at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:461)
	at org.apache.ambari.server.upgrade.UpgradeCatalog161.executeDDLUpdates(UpgradeCatalog161.java:183)
	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeSchema(AbstractUpgradeCatalog.java:255)
	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeUpgrade(SchemaUpgradeHelper.java:178)
	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:238)
21:32:36,828 ERROR [main] SchemaUpgradeHelper:180 - Upgrade failed. 
{code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message